Module Global

Integer :: CamDeg, Ans, Choice

Real(8) :: LV,LS,LUR,LDR
Real(8) :: CUR,CDR,LashClear,LiftTotal
Real(8) :: ThetaV,ThetaLC,ThetaDW,ThetaUR,ThetaDR,ThetaULR,ThetaDLR
Real(8) :: LiftTDCEx,ThetaTDCEx
Real(8) :: LiftTDCIn,ThetaTDCIn
Real(8) :: BaseCircleRunout

Real(8) :: Pi=3.141592653589793D0

Character(Len=1)   :: Units
Character(Len=3)   :: FileStatus
Character(Len=5)   :: IgnitionType
Character(Len=6)   :: File
Character(Len=10)  :: OFile
Character(Len=90)  :: VFile,VFileFull
Character(Len=120) :: Str

      
! Cam plot

Character(Len = 5) :: CamType
Character(Len = 6) :: PlotType  !Analys, Design, Smooth
Character(Len = 8) :: FileFormat

Logical :: CamEdit
Logical :: CamKeep
Logical :: DataInRows

Integer :: NumInc

Real(8) :: Theta(0:8000),Lift(0:8000),LiftEx(0:8000),LiftIn(0:8000),CV(0:8000),GV(0:8000),JV(0:8000)
Real(8) :: ThetaOPAC,ThetaCLAC,ThetaOP1mm,ThetaCL1mm,ThetaOP125mm,ThetaCL125mm,ThetaOP_User,ThetaCL_User,CamAREA
Real(8) :: DurationTotal,DurationClear,OpenClear,CloseClear,LiftClear
Real(8) :: Duration1mm,Open1mm,Close1mm,Duration508mm,Open508mm,Close508mm,LobeCenter,LiftCenter
Real(8) :: ValveOpen,ValveClose,LobeOffset
Real(8) :: LiftMax, Scale, BaseCircleOffset
Real(8) :: UserLiftOutput

! Smooth

Integer :: NumRows,NumPoints,Col,NumCycles,StartRow
Integer :: Inc
Integer :: Alg

Real(8) :: Jerk(0:8000)

End Module Global
!------------------------------------------------------------------------